Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.conf
Class SimpleJDOConfiguration

    java.lang.Object
      |
      +--com.solarmetric.rd.conf.AbstractConfiguration
            |
            +--com.solarmetric.rd.conf.SimpleConfiguration
                  |
                  +--com.solarmetric.rd.kodo.conf.SimpleJDOConfiguration

All Implemented Interfaces:
  java.beans.BeanInfo, Configuration, java.io.Externalizable, JDOConfiguration, java.io.Serializable

Direct Known Subclasses:
  SimpleJDBCConfiguration

public class SimpleJDOConfiguration
extends SimpleConfiguration
implements JDOConfiguration

Implementation of the `JDOConfiguration` interface.

On construction, the class will attempt to locate a default properties file called `kodo.properties` located at any top level token of the CLASSPATH. See the `AbstractConfiguration` class description for details.

See Also:
  `SimpleConfiguration`, Serialized Form

Field Summary
`protected static boolean` | `BASIC_OPTION`
`protected com.solarmetric.rd.kodo.util.ClassResolver` | `classResolver`
`protected java.lang.Object` | `connectionFactory`
`protected java.lang.Object` | `connectionFactory2`
`protected com.solarmetric.rd.kodo.runtime.datacache.DataCache` | `dataCache`
`protected static boolean` | `EXPERT_OPTION`
`protected com.solarmetric.rd.kodo.query.FilterListener[]` | `filterListeners`
`protected com.solarmetric.rd.license.License` | `license`
`protected com.solarmetric.rd.kodo.runtime.ManagedRuntime` | `managedRuntime`
`protected com.solarmetric.rd.kodo.meta.JDOMetaDataRepository` | `metaRepos`
`protected com.solarmetric.rd.kodo.util.ProxyManager` | `proxyManager`
`protected static java.lang.String` | `TYPE_CONNECTING`
`protected static java.lang.String` | `TYPE_GENERAL`
`protected static java.lang.String` | `TYPE_JDO`
`protected static java.lang.String` | `TYPE_OPTIMIZATION`

Fields inherited from class com.solarmetric.rd.conf.SimpleConfiguration
`logFactory`

Fields inherited from interface com.solarmetric.rd.kodo.conf.JDOConfiguration
`LOG_DATACACHE, LOG_ENHANCE, LOG_METADATA, LOG_RUNTIME`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`SimpleJDOConfiguration()` Default constructor.
`SimpleJDOConfiguration(boolean loadDefaults)` Constructor.

Method Summary
`protected void` | `checkFrozen()` Checks if the configuration has been frozen and if so throws a `IllegalStateException`, otherwise returns silently.
`void` | `free()` Free the resources used by this object.
`com.solarmetric.rd.kodo.util.ClassResolver` | `getClassResolver()` The `ClassResolver` to use.
`java.lang.String` | `getClassResolverClass()` The full class name of the `ClassResolver` to use for custom class loading.
`java.lang.String` | `getClassResolverProperties()` Configuration options for the `ClassResolver`.
`java.lang.String` | `getConnectionDriverName()` Class name of the Connection Driver.
`java.lang.Object` | `getConnectionFactory()` The connection factory, possibly from JNDI.
`java.lang.Object` | `getConnectionFactory2()` The connection factory, possibly from JNDI.
`java.lang.String` | `getConnectionFactory2Name()` The name for the second data store connection factory.
`java.lang.String` | `getConnectionFactoryName()` The name for the data store connection factory.
`java.lang.String` | `getConnectionFactoryProperties()` Configuration properties for the connection factory.
`java.lang.String` | `getConnectionPassword()` The password for the data store connection.
`java.lang.String` | `getConnectionProperties()` These properties provide any additional information needed to establish connections.
`java.lang.String` | `getConnectionURL()` The URL for the data store connection.
`java.lang.String` | `getConnectionUserName()` The user name for the data store connection.
`com.solarmetric.rd.kodo.runtime.datacache.DataCache` | `getDataCache()` The L2 `DataCache` to use.
`java.lang.String` | `getDataCacheClass()` The `DataCache` to use for level-2 data store caching.
`java.lang.String` | `getDataCacheProperties()` Configuration options for the `DataCache`.
`protected java.lang.Class` | `getDefaultPersistenceManagerFactoryClass()` Return the class of the persistence manager factory for this runtime.
`int` | `getFetchBatchSize()` Get the size of the batch that will be pre-selected when accessing elements in a query or relationship.
`int` | `getFetchThreshold()` Get the threshold below which result lists will be completely instantiated upon their creation.
`java.lang.String` | `getFilterListenerClasses()` A ','-separted list of the class names of the query `FilterListener`s to use.
`com.solarmetric.rd.kodo.query.FilterListener[]` | `getFilterListeners()` Return the query filter listeners.
`boolean` | `getIgnoreCache()` The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.
`protected java.lang.String[]` | `getKnownConnectionURLList()` Allows a subclass to provide a list of example drivers, for use in a graphical component.
`protected java.lang.String[]` | `getKnownDriverList()` Allows a subclass to provide a list of example drivers, for use in a graphical component.
`com.solarmetric.rd.license.License` | `getLicense()` Return the license for the set license key.
`java.lang.String` | `getLicenseKey()` The license key for Kodo.
`com.solarmetric.rd.kodo.runtime.ManagedRuntime` | `getManagedRuntime()` The plugin to use for integrating with a managed runtime.
`java.lang.String` | `getManagedRuntimeClass()` The full class name of the `ManagedRuntime` to use for managed environments.
`java.lang.String` | `getManagedRuntimeProperties()` Configuration options for the `ManagedRuntime`.
`com.solarmetric.rd.kodo.meta.JDOMetaDataRepository` | `getMetaDataRepository()` The metadata repository of managed class information.
`boolean` | `getMultithreaded()` The default Multithreaded setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getNontransactionalRead()` The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getNontransactionalWrite()` The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getOptimistic()` The default Optimistic setting for all PersistenceManager instances obtained from this factory.
`java.lang.String` | `getPersistenceManagerClass()` The full class name of the `PersistenceManager` type to create.
`java.lang.String` | `getPersistenceManagerFactoryClass()` The `PersistenceManagerFactory` class name.
`java.lang.String` | `getPersistenceManagerProperties()` Configuration options for the `PersistenceManager`.
`protected java.lang.String` | `getProductName()` Return the product name.
`com.solarmetric.rd.kodo.util.ProxyManager` | `getProxyManager()` The `ProxyManager` to use.
`java.lang.String` | `getProxyManagerClass()` The full class name of the `ProxyManager` to use for second class object proxies.
`java.lang.String` | `getProxyManagerProperties()` Configuration for the `ProxyManager`.
`boolean` | `getRestoreValues()` The default RestoreValues setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getRetainValues()` The default RetainValues setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getUseManagedRuntime()` Whether to use managed transactions for persistence managers produced by the configured factory.
`void` | `setClassResolver(com.solarmetric.rd.kodo.util.ClassResolver classResolver)` The `ClassResolver` to use.
`void` | `setClassResolverClass(java.lang.String classResolverClass)` The full class name of the `ClassResolver` to use for custom class loading.
`void` | `setClassResolverProperties(java.lang.String classResolverProperties)` Configuration options for the `ClassResolver`.
`void` | `setConnectionDriverName(java.lang.String driverName)` Class name of the Connection Driver.
`void` | `setConnectionFactory(java.lang.Object connectionFactory)` The connection factory.
`void` | `setConnectionFactory2(java.lang.Object factory)` The connection factory.
`void` | `setConnectionFactory2Name(java.lang.String connectionFactory2Name)` The name for the second data store connection factory.
`void` | `setConnectionFactoryName(java.lang.String connectionFactoryName)` The name for the data store connection factory.
`void` | `setConnectionFactoryProperties(java.lang.String connectionFactoryProperties)` Configuration properties for the connection factory.
`void` | `setConnectionPassword(java.lang.String connectionPassword)` The password for the data store connection.
`void` | `setConnectionProperties(java.lang.String connectionProperties)` These properties provide any additional information needed to establish connections.
`void` | `setConnectionURL(java.lang.String connectionURL)` The URL for the data store connection.
`void` | `setConnectionUserName(java.lang.String connectionUserName)` The user name for the data store connection.
`void` | `setDataCache(com.solarmetric.rd.kodo.runtime.datacache.DataCache dataCache)` The L2 `DataCache` to use.
`void` | `setDataCacheClass(java.lang.String dataCacheClass)` The `DataCache` to use for level-2 data store caching.
`void` | `setDataCacheProperties(java.lang.String dataCacheProperties)` Configuration options for the `DataCache`.
`void` | `setFetchBatchSize(int fetchBatchSize)` Set the size of the batch that will be pre-selected when accessing elements in a query or relationship.
`void` | `setFetchBatchSize(java.lang.Integer fetchBatchSize)` Wrapper for JCA usage of `setFetchBatchSize(int)`.
`void` | `setFetchThreshold(int fetchThreshold)` Set the threshold below which result lists will be completely instantiated upon their creation.
`void` | `setFetchThreshold(java.lang.Integer fetchThreshold)` Wrapper for JCA usage of `setFetchThreshold(int)`.
`void` | `setFilterListenerClasses(java.lang.String filterListenerClasses)` A ','-separted list of the class names of the query `FilterListener`s to use.
`void` | `setFilterListeners(com.solarmetric.rd.kodo.query.FilterListener[] listeners)` Set the query filter listeners.
`void` | `setIgnoreCache(boolean ignoreCache)` The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.
`void` | `setIgnoreCache(java.lang.Boolean ignoreCache)` Wrapper for JCA usage of `setIgnoreCache(boolean)`.
`void` | `setLicenseKey(java.lang.String licenseKey)` The license key for Kodo.
`void` | `setManagedRuntime(com.solarmetric.rd.kodo.runtime.ManagedRuntime managedRuntime)` The plugin to use for integrating with a managed runtime.
`void` | `setManagedRuntimeClass(java.lang.String managedRuntimeClass)` The full class name of the `ManagedRuntime` to use for managed environments.
`void` | `setManagedRuntimeProperties(java.lang.String managedRuntimeProperties)` Configuration options for the `ManagedRuntime`.
`void` | `setMetaDataRepository(com.solarmetric.rd.kodo.meta.JDOMetaDataRepository metaRepos)` The metadata repository of managed class information.
`void` | `setMultithreaded(boolean multithreaded)` The default Multithreaded setting for all PersistenceManager instances obtained from this factory.
`void` | `setMultithreaded(java.lang.Boolean multithreaded)` Wrapper for JCA usage of `setMultithreaded(boolean)`.
`void` | `setNontransactionalRead(boolean nontransactionalRead)` The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.
`void` | `setNontransactionalRead(java.lang.Boolean nontransactionalRead)` Wrapper for JCA usage of `setNontransactionalRead(boolean)`.
`void` | `setNontransactionalWrite(boolean nontransactionalWrite)` The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.
`void` | `setNontransactionalWrite(java.lang.Boolean nontransactionalWrite)` Wrapper for JCA usage of `setNontransactionalWrite(boolean)`.
`void` | `setOptimistic(boolean optimistic)` The default Optimistic setting for all PersistenceManager instances obtained from this factory.
`void` | `setOptimistic(java.lang.Boolean optimistic)` Wrapper for JCA usage of `setOptimistic(boolean)`.
`void` | `setPersistenceManagerClass(java.lang.String persistenceManagerClass)` The full class name of the `PersistenceManager` type to create.
`void` | `setPersistenceManagerFactoryClass(java.lang.String persistenceManagerFactoryClass)` The `PersistenceManagerFactory` class name.
`void` | `setPersistenceManagerProperties(java.lang.String persistenceManagerProperties)` Configuration options for the `PersistenceManager`.
`void` | `setProxyManager(com.solarmetric.rd.kodo.util.ProxyManager proxyManager)` The `ProxyManager` to use.
`void` | `setProxyManagerClass(java.lang.String proxyManagerClass)` The full class name of the `ProxyManager` to use for second class object proxies.
`void` | `setProxyManagerProperties(java.lang.String proxyManagerProperties)` Configuration for the `ProxyManager`.
`void` | `setRestoreValues(boolean restoreValues)` The default RestoreValues setting for all PersistenceManager instances obtained from this factory.
`void` | `setRestoreValues(java.lang.Boolean restoreValues)` Wrapper for JCA usage of `setRestoreValues(boolean)`.
`void` | `setRetainValues(boolean retainValues)` The default RetainValues setting for all PersistenceManager instances obtained from this factory.
`void` | `setRetainValues(java.lang.Boolean retainValues)` Wrapper for JCA usage of `setRetainValues(boolean)`.
`void` | `setUseManagedRuntime(boolean useManagedRuntime)` Whether to use managed transactions for persistence managers produced by the configured factory.
`void` | `setUseManagedRuntime(java.lang.Boolean useManagedRuntime)` Wrapper for JCA usage of `setUseManagedRuntime(boolean)`.

Methods inherited from class com.solarmetric.rd.conf.SimpleConfiguration
`addValue, addValue, addValue, addValue, addValue, addValue, addValue, getLog, getLogFactory, getValues, setLog, setLogFactory`

Methods inherited from class com.solarmetric.rd.conf.AbstractConfiguration
`equals, fromProperties, getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors, hashCode, isFrozen, loadDefaults, readExternal, setFrozen, setProperties, toProperties, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.rd.conf.Configuration
`fromProperties, getLog, getLogFactory, isFrozen, setFrozen, setLog, setLogFactory, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Field Detail

### BASIC_OPTION

    protected static final boolean BASIC_OPTION

See Also:
  Constant Field Values

### EXPERT_OPTION

    protected static final boolean EXPERT_OPTION

See Also:
  Constant Field Values

### TYPE_GENERAL

    protected static final java.lang.String TYPE_GENERAL

See Also:
  Constant Field Values

### TYPE_JDO

    protected static final java.lang.String TYPE_JDO

See Also:
  Constant Field Values

### TYPE_CONNECTING

    protected static final java.lang.String TYPE_CONNECTING

See Also:
  Constant Field Values

### TYPE_OPTIMIZATION

    protected static final java.lang.String TYPE_OPTIMIZATION

See Also:
  Constant Field Values

### connectionFactory

    protected java.lang.Object connectionFactory

### connectionFactory2

    protected java.lang.Object connectionFactory2

### dataCache

    protected com.solarmetric.rd.kodo.runtime.datacache.DataCache dataCache

### proxyManager

    protected com.solarmetric.rd.kodo.util.ProxyManager proxyManager

### filterListeners

    protected com.solarmetric.rd.kodo.query.FilterListener[] filterListeners

### metaRepos

    protected com.solarmetric.rd.kodo.meta.JDOMetaDataRepository metaRepos

### classResolver

    protected com.solarmetric.rd.kodo.util.ClassResolver classResolver

### license

    protected com.solarmetric.rd.license.License license

### managedRuntime

    protected com.solarmetric.rd.kodo.runtime.ManagedRuntime managedRuntime

Constructor Detail

### SimpleJDOConfiguration

    public SimpleJDOConfiguration()

  Default constructor. Attempts to load default properties from the `kodo.properties` resource.

### SimpleJDOConfiguration

    public SimpleJDOConfiguration(boolean loadDefaults)

  Constructor.

Parameters:
  `loadDefaults` - whether to attempt to load the default `kodo.properties` resource

Method Detail

### getProductName

    protected java.lang.String getProductName()

  Description copied from class: `AbstractConfiguration`
  Return the product name.

  Overrides:
    `getProductName` in class `SimpleConfiguration`
  See Also:
    `AbstractConfiguration.loadDefaults()`

### setLicenseKey

    public void setLicenseKey(java.lang.String licenseKey)

  Description copied from interface: `JDOConfiguration`
  The license key for Kodo.

  Specified by:
    `setLicenseKey` in interface `JDOConfiguration`

### getLicenseKey

    public java.lang.String getLicenseKey()

  Description copied from interface: `JDOConfiguration`
  The license key for Kodo.

  Specified by:
    `getLicenseKey` in interface `JDOConfiguration`

### getLicense

    public com.solarmetric.rd.license.License getLicense()

  Description copied from interface: `JDOConfiguration`
  Return the license for the set license key.

  Specified by:
    `getLicense` in interface `JDOConfiguration`

### setClassResolverClass

    public void setClassResolverClass(java.lang.String classResolverClass)

  Description copied from interface: `JDOConfiguration`
  The full class name of the `ClassResolver` to use for custom class loading. Defaults to a spec-complicant resolution algorithm.

  Specified by:
    `setClassResolverClass` in interface `JDOConfiguration`

### getClassResolverClass

    public java.lang.String getClassResolverClass()

  Description copied from interface: `JDOConfiguration`
  The full class name of the `ClassResolver` to use for custom class loading. Defaults to a spec-complicant resolution algorithm.

  Specified by:
    `getClassResolverClass` in interface `JDOConfiguration`

### setClassResolverProperties

    public void setClassResolverProperties(java.lang.String classResolverProperties)

  Description copied from interface: `JDOConfiguration`
  Configuration options for the `ClassResolver`.

  Specified by:
    `setClassResolverProperties` in interface `JDOConfiguration`

### getClassResolverProperties

    public java.lang.String getClassResolverProperties()

  Description copied from interface: `JDOConfiguration`
  Configuration options for the `ClassResolver`.

  Specified by:
    `getClassResolverProperties` in interface `JDOConfiguration`

### setClassResolver

    public void setClassResolver(com.solarmetric.rd.kodo.util.ClassResolver classResolver)

  Description copied from interface: `JDOConfiguration`
  The `ClassResolver` to use.

  Specified by:
    `setClassResolver` in interface `JDOConfiguration`

### getClassResolver

    public com.solarmetric.rd.kodo.util.ClassResolver getClassResolver()

  Description copied from interface: `JDOConfiguration`
  The `ClassResolver` to use.

  Specified by:
    `getClassResolver` in interface `JDOConfiguration`

### setPersistenceManagerClass

    public void setPersistenceManagerClass(java.lang.String persistenceManagerClass)

  Description copied from interface: `JDOConfiguration`
  The full class name of the `PersistenceManager` type to create.

  Specified by:
    `setPersistenceManagerClass` in interface `JDOConfiguration`

### getPersistenceManagerClass

    public java.lang.String getPersistenceManagerClass()

  Description copied from interface: `JDOConfiguration`
  The full class name of the `PersistenceManager` type to create.

  Specified by:
    `getPersistenceManagerClass` in interface `JDOConfiguration`

### setPersistenceManagerProperties

    public void setPersistenceManagerProperties(java.lang.String persistenceManagerProperties)

  Description copied from interface: `JDOConfiguration`
  Configuration options for the `PersistenceManager`.

  Specified by:
    `setPersistenceManagerProperties` in interface `JDOConfiguration`

### getPersistenceManagerProperties

    public java.lang.String getPersistenceManagerProperties()

  Description copied from interface: `JDOConfiguration`
  Configuration options for the `PersistenceManager`.

  Specified by:
    `getPersistenceManagerProperties` in interface `JDOConfiguration`

### setDataCacheClass

    public void setDataCacheClass(java.lang.String dataCacheClass)

  Description copied from interface: `JDOConfiguration`
  The `DataCache` to use for level-2 data store caching.

  Specified by:
    `setDataCacheClass` in interface `JDOConfiguration`

### getDataCacheClass

    public java.lang.String getDataCacheClass()

  Description copied from interface: `JDOConfiguration`
  The `DataCache` to use for level-2 data store caching.

  Specified by:
    `getDataCacheClass` in interface `JDOConfiguration`

### setDataCacheProperties

    public void setDataCacheProperties(java.lang.String dataCacheProperties)

  Description copied from interface: `JDOConfiguration`
  Configuration options for the `DataCache`.

  Specified by:
    `setDataCacheProperties` in interface `JDOConfiguration`

### getDataCacheProperties

    public java.lang.String getDataCacheProperties()

  Description copied from interface: `JDOConfiguration`
  Configuration options for the `DataCache`.

  Specified by:
    `getDataCacheProperties` in interface `JDOConfiguration`

### setDataCache

    public void setDataCache(com.solarmetric.rd.kodo.runtime.datacache.DataCache dataCache)

  Description copied from interface: `JDOConfiguration`
  The L2 `DataCache` to use.

  Specified by:
    `setDataCache` in interface `JDOConfiguration`

### getDataCache

    public com.solarmetric.rd.kodo.runtime.datacache.DataCache getDataCache()

  Description copied from interface: `JDOConfiguration`
  The L2 `DataCache` to use.

  Specified by:
    `getDataCache` in interface `JDOConfiguration`

### setUseManagedRuntime

    public void setUseManagedRuntime(boolean useManagedRuntime)

  Description copied from interface: `JDOConfiguration`
  Whether to use managed transactions for persistence managers produced by the configured factory.

  Specified by:
    `setUseManagedRuntime` in interface `JDOConfiguration`

### setUseManagedRuntime

    public void setUseManagedRuntime(java.lang.Boolean useManagedRuntime)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setUseManagedRuntime(boolean)`.

  Specified by:
    `setUseManagedRuntime` in interface `JDOConfiguration`

### getUseManagedRuntime

    public boolean getUseManagedRuntime()

  Description copied from interface: `JDOConfiguration`
  Whether to use managed transactions for persistence managers produced by the configured factory.

  Specified by:
    `getUseManagedRuntime` in interface `JDOConfiguration`

### setManagedRuntimeClass

    public void setManagedRuntimeClass(java.lang.String managedRuntimeClass)

  Description copied from interface: `JDOConfiguration`
  The full class name of the `ManagedRuntime` to use for managed environments.

  Specified by:
    `setManagedRuntimeClass` in interface `JDOConfiguration`

### getManagedRuntimeClass

    public java.lang.String getManagedRuntimeClass()

  Description copied from interface: `JDOConfiguration`
  The full class name of the `ManagedRuntime` to use for managed environments.

  Specified by:
    `getManagedRuntimeClass` in interface `JDOConfiguration`

### setManagedRuntimeProperties

    public void setManagedRuntimeProperties(java.lang.String managedRuntimeProperties)

  Description copied from interface: `JDOConfiguration`
  Configuration options for the `ManagedRuntime`.

  Specified by:
    `setManagedRuntimeProperties` in interface `JDOConfiguration`

### getManagedRuntimeProperties

    public java.lang.String getManagedRuntimeProperties()

  Description copied from interface: `JDOConfiguration`
  Configuration options for the `ManagedRuntime`.

  Specified by:
    `getManagedRuntimeProperties` in interface `JDOConfiguration`

### setManagedRuntime

    public void setManagedRuntime(com.solarmetric.rd.kodo.runtime.ManagedRuntime managedRuntime)

  Description copied from interface: `JDOConfiguration`
  The plugin to use for integrating with a managed runtime.

  Specified by:
    `setManagedRuntime` in interface `JDOConfiguration`

### getManagedRuntime

    public com.solarmetric.rd.kodo.runtime.ManagedRuntime getManagedRuntime()

  Description copied from interface: `JDOConfiguration`
  The plugin to use for integrating with a managed runtime.

  Specified by:
    `getManagedRuntime` in interface `JDOConfiguration`

### setFetchThreshold

    public void setFetchThreshold(int fetchThreshold)

  Description copied from interface: `JDOConfiguration`
  Set the threshold below which result lists will be completely instantiated upon their creation.

  Specified by:
    `setFetchThreshold` in interface `JDOConfiguration`

### setFetchThreshold

    public void setFetchThreshold(java.lang.Integer fetchThreshold)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setFetchThreshold(int)`.

  Specified by:
    `setFetchThreshold` in interface `JDOConfiguration`

### getFetchThreshold

    public int getFetchThreshold()

  Description copied from interface: `JDOConfiguration`
  Get the threshold below which result lists will be completely instantiated upon their creation.

  Specified by:
    `getFetchThreshold` in interface `JDOConfiguration`

### setFetchBatchSize

    public void setFetchBatchSize(int fetchBatchSize)

  Description copied from interface: `JDOConfiguration`
  Set the size of the batch that will be pre-selected when accessing elements in a query or relationship.

  Specified by:
    `setFetchBatchSize` in interface `JDOConfiguration`

### setFetchBatchSize

    public void setFetchBatchSize(java.lang.Integer fetchBatchSize)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setFetchBatchSize(int)`.

  Specified by:
    `setFetchBatchSize` in interface `JDOConfiguration`

### getFetchBatchSize

    public int getFetchBatchSize()

  Description copied from interface: `JDOConfiguration`
  Get the size of the batch that will be pre-selected when accessing elements in a query or relationship.

  Specified by:
    `getFetchBatchSize` in interface `JDOConfiguration`

### setFilterListenerClasses

    public void setFilterListenerClasses(java.lang.String filterListenerClasses)

  Description copied from interface: `JDOConfiguration`
  A ','-separted list of the class names of the query `FilterListener`s to use.

  Specified by:
    `setFilterListenerClasses` in interface `JDOConfiguration`

### getFilterListenerClasses

    public java.lang.String getFilterListenerClasses()

  Description copied from interface: `JDOConfiguration`
  A ','-separted list of the class names of the query `FilterListener`s to use.

  Specified by:
    `getFilterListenerClasses` in interface `JDOConfiguration`

### setFilterListeners

    public void setFilterListeners(com.solarmetric.rd.kodo.query.FilterListener[] listeners)

  Description copied from interface: `JDOConfiguration`
  Set the query filter listeners. Overrides the list of listener classes.

  Specified by:
    `setFilterListeners` in interface `JDOConfiguration`

### getFilterListeners

    public com.solarmetric.rd.kodo.query.FilterListener[] getFilterListeners()

  Description copied from interface: `JDOConfiguration`
  Return the query filter listeners. If none have been set explicitly, this method instantiates the listeners from the set class name list.

  Specified by:
    `getFilterListeners` in interface `JDOConfiguration`

### setProxyManagerClass

    public void setProxyManagerClass(java.lang.String proxyManagerClass)

  Description copied from interface: `JDOConfiguration`
  The full class name of the `ProxyManager` to use for second class object proxies.

  Specified by:
    `setProxyManagerClass` in interface `JDOConfiguration`

### getProxyManagerClass

    public java.lang.String getProxyManagerClass()

  Description copied from interface: `JDOConfiguration`
  The full class name of the `ProxyManager` to use for second class object proxies.

  Specified by:
    `getProxyManagerClass` in interface `JDOConfiguration`

### setProxyManagerProperties

    public void setProxyManagerProperties(java.lang.String proxyManagerProperties)

  Description copied from interface: `JDOConfiguration`
  Configuration for the `ProxyManager`.

  Specified by:
    `setProxyManagerProperties` in interface `JDOConfiguration`

### getProxyManagerProperties

    public java.lang.String getProxyManagerProperties()

  Description copied from interface: `JDOConfiguration`
  Configuration for the `ProxyManager`.

  Specified by:
    `getProxyManagerProperties` in interface `JDOConfiguration`

### setProxyManager

    public void setProxyManager(com.solarmetric.rd.kodo.util.ProxyManager proxyManager)

  Description copied from interface: `JDOConfiguration`
  The `ProxyManager` to use.

  Specified by:
    `setProxyManager` in interface `JDOConfiguration`

### getProxyManager

    public com.solarmetric.rd.kodo.util.ProxyManager getProxyManager()

  Description copied from interface: `JDOConfiguration`
  The `ProxyManager` to use.

  Specified by:
    `getProxyManager` in interface `JDOConfiguration`

### setConnectionProperties

    public void setConnectionProperties(java.lang.String connectionProperties)

  Description copied from interface: `JDOConfiguration`
  These properties provide any additional information needed to establish connections.

  Specified by:
    `setConnectionProperties` in interface `JDOConfiguration`

### getConnectionProperties

    public java.lang.String getConnectionProperties()

  Description copied from interface: `JDOConfiguration`
  These properties provide any additional information needed to establish connections.

  Specified by:
    `getConnectionProperties` in interface `JDOConfiguration`

### setConnectionFactoryProperties

    public void setConnectionFactoryProperties(java.lang.String connectionFactoryProperties)

  Description copied from interface: `JDOConfiguration`
  Configuration properties for the connection factory.

  Specified by:
    `setConnectionFactoryProperties` in interface `JDOConfiguration`

### getConnectionFactoryProperties

    public java.lang.String getConnectionFactoryProperties()

  Description copied from interface: `JDOConfiguration`
  Configuration properties for the connection factory.

  Specified by:
    `getConnectionFactoryProperties` in interface `JDOConfiguration`

### setMetaDataRepository

    public void setMetaDataRepository(com.solarmetric.rd.kodo.meta.JDOMetaDataRepository metaRepos)

  Description copied from interface: `JDOConfiguration`
  The metadata repository of managed class information.

  Specified by:
    `setMetaDataRepository` in interface `JDOConfiguration`

### getMetaDataRepository

    public com.solarmetric.rd.kodo.meta.JDOMetaDataRepository getMetaDataRepository()

  Description copied from interface: `JDOConfiguration`
  The metadata repository of managed class information. If no repository has been set, creates one.

  Specified by:
    `getMetaDataRepository` in interface `JDOConfiguration`

### setPersistenceManagerFactoryClass

    public void setPersistenceManagerFactoryClass(java.lang.String persistenceManagerFactoryClass)

  Description copied from interface: `JDOConfiguration`
  The `PersistenceManagerFactory` class name.

  Specified by:
    `setPersistenceManagerFactoryClass` in interface `JDOConfiguration`

### getPersistenceManagerFactoryClass

    public java.lang.String getPersistenceManagerFactoryClass()

  Description copied from interface: `JDOConfiguration`
  The `PersistenceManagerFactory` class name.

  Specified by:
    `getPersistenceManagerFactoryClass` in interface `JDOConfiguration`

### setOptimistic

    public void setOptimistic(boolean optimistic)

  Description copied from interface: `JDOConfiguration`
  The default Optimistic setting for all PersistenceManager instances obtained from this factory.

  Specified by:
    `setOptimistic` in interface `JDOConfiguration`

### setOptimistic

    public void setOptimistic(java.lang.Boolean optimistic)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setOptimistic(boolean)`.

  Specified by:
    `setOptimistic` in interface `JDOConfiguration`

### getOptimistic

    public boolean getOptimistic()

  Description copied from interface: `JDOConfiguration`
  The default Optimistic setting for all PersistenceManager instances obtained from this factory.

  Specified by:
    `getOptimistic` in interface `JDOConfiguration`

### setRetainValues

    public void setRetainValues(boolean retainValues)

  Description copied from interface: `JDOConfiguration`
  The default RetainValues setting for all PersistenceManager instances obtained from this factory.

  Specified by:
    `setRetainValues` in interface `JDOConfiguration`

### setRetainValues

    public void setRetainValues(java.lang.Boolean retainValues)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setRetainValues(boolean)`.

  Specified by:
    `setRetainValues` in interface `JDOConfiguration`

### getRetainValues

    public boolean getRetainValues()

  Description copied from interface: `JDOConfiguration`
  The default RetainValues setting for all PersistenceManager instances obtained from this factory.

  Specified by:
    `getRetainValues` in interface `JDOConfiguration`

### setRestoreValues

    public void setRestoreValues(boolean restoreValues)

  Description copied from interface: `JDOConfiguration`
  The default RestoreValues setting for all PersistenceManager instances obtained from this factory.

  Specified by:
    `setRestoreValues` in interface `JDOConfiguration`

### setRestoreValues

    public void setRestoreValues(java.lang.Boolean restoreValues)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setRestoreValues(boolean)`.

  Specified by:
    `setRestoreValues` in interface `JDOConfiguration`

### getRestoreValues

    public boolean getRestoreValues()

  Description copied from interface: `JDOConfiguration`
  The default RestoreValues setting for all PersistenceManager instances obtained from this factory.

  Specified by:
    `getRestoreValues` in interface `JDOConfiguration`

### setIgnoreCache

    public void setIgnoreCache(boolean ignoreCache)

  Description copied from interface: `JDOConfiguration`
  The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.

  Specified by:
    `setIgnoreCache` in interface `JDOConfiguration`

### setIgnoreCache

    public void setIgnoreCache(java.lang.Boolean ignoreCache)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setIgnoreCache(boolean)`.

  Specified by:
    `setIgnoreCache` in interface `JDOConfiguration`

### getIgnoreCache

    public boolean getIgnoreCache()

  Description copied from interface: `JDOConfiguration`
  The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.

  Specified by:
    `getIgnoreCache` in interface `JDOConfiguration`

### setNontransactionalRead

    public void setNontransactionalRead(boolean nontransactionalRead)

  Description copied from interface: `JDOConfiguration`
  The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.

  Specified by:
    `setNontransactionalRead` in interface `JDOConfiguration`

### setNontransactionalRead

    public void setNontransactionalRead(java.lang.Boolean nontransactionalRead)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setNontransactionalRead(boolean)`.

  Specified by:
    `setNontransactionalRead` in interface `JDOConfiguration`

### getNontransactionalRead

    public boolean getNontransactionalRead()

  Description copied from interface: `JDOConfiguration`
  The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.

  Specified by:
    `getNontransactionalRead` in interface `JDOConfiguration`

### setNontransactionalWrite

    public void setNontransactionalWrite(boolean nontransactionalWrite)

  Description copied from interface: `JDOConfiguration`
  The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.

  Specified by:
    `setNontransactionalWrite` in interface `JDOConfiguration`

### setNontransactionalWrite

    public void setNontransactionalWrite(java.lang.Boolean nontransactionalWrite)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setNontransactionalWrite(boolean)`.

  Specified by:
    `setNontransactionalWrite` in interface `JDOConfiguration`

### getNontransactionalWrite

    public boolean getNontransactionalWrite()

  Description copied from interface: `JDOConfiguration`
  The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.

  Specified by:
    `getNontransactionalWrite` in interface `JDOConfiguration`

### setMultithreaded

    public void setMultithreaded(boolean multithreaded)

  Description copied from interface: `JDOConfiguration`
  The default Multithreaded setting for all PersistenceManager instances obtained from this factory.

  Specified by:
    `setMultithreaded` in interface `JDOConfiguration`

### setMultithreaded

    public void setMultithreaded(java.lang.Boolean multithreaded)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setMultithreaded(boolean)`.

  Specified by:
    `setMultithreaded` in interface `JDOConfiguration`

### getMultithreaded

    public boolean getMultithreaded()

  Description copied from interface: `JDOConfiguration`
  The default Multithreaded setting for all PersistenceManager instances obtained from this factory.

  Specified by:
    `getMultithreaded` in interface `JDOConfiguration`

### setConnectionUserName

    public void setConnectionUserName(java.lang.String connectionUserName)

  Description copied from interface: `JDOConfiguration`
  The user name for the data store connection.

  Specified by:
    `setConnectionUserName` in interface `JDOConfiguration`

### getConnectionUserName

    public java.lang.String getConnectionUserName()

  Description copied from interface: `JDOConfiguration`
  The user name for the data store connection.

  Specified by:
    `getConnectionUserName` in interface `JDOConfiguration`

### setConnectionPassword

    public void setConnectionPassword(java.lang.String connectionPassword)

  Description copied from interface: `JDOConfiguration`
  The password for the data store connection.

  Specified by:
    `setConnectionPassword` in interface `JDOConfiguration`

### getConnectionPassword

    public java.lang.String getConnectionPassword()

  Description copied from interface: `JDOConfiguration`
  The password for the data store connection.

  Specified by:
    `getConnectionPassword` in interface `JDOConfiguration`

### setConnectionURL

    public void setConnectionURL(java.lang.String connectionURL)

  Description copied from interface: `JDOConfiguration`
  The URL for the data store connection.

  Specified by:
    `setConnectionURL` in interface `JDOConfiguration`

### getConnectionURL

    public java.lang.String getConnectionURL()

  Description copied from interface: `JDOConfiguration`
  The URL for the data store connection.

  Specified by:
    `getConnectionURL` in interface `JDOConfiguration`

### setConnectionDriverName

    public void setConnectionDriverName(java.lang.String driverName)

  Description copied from interface: `JDOConfiguration`
  Class name of the Connection Driver.

  Specified by:
    `setConnectionDriverName` in interface `JDOConfiguration`

### getConnectionDriverName

    public java.lang.String getConnectionDriverName()

  Description copied from interface: `JDOConfiguration`
  Class name of the Connection Driver.

  Specified by:
    `getConnectionDriverName` in interface `JDOConfiguration`

### setConnectionFactoryName

    public void setConnectionFactoryName(java.lang.String connectionFactoryName)

  Description copied from interface: `JDOConfiguration`
  The name for the data store connection factory.

  Specified by:
    `setConnectionFactoryName` in interface `JDOConfiguration`

### getConnectionFactoryName

    public java.lang.String getConnectionFactoryName()

  Description copied from interface: `JDOConfiguration`
  The name for the data store connection factory.

  Specified by:
    `getConnectionFactoryName` in interface `JDOConfiguration`

### setConnectionFactory

    public void setConnectionFactory(java.lang.Object connectionFactory)

  Description copied from interface: `JDOConfiguration`
  The connection factory.

  Specified by:
    `setConnectionFactory` in interface `JDOConfiguration`

### getConnectionFactory

    public java.lang.Object getConnectionFactory()

  Description copied from interface: `JDOConfiguration`
  The connection factory, possibly from JNDI.

  Specified by:
    `getConnectionFactory` in interface `JDOConfiguration`

### setConnectionFactory2Name

    public void setConnectionFactory2Name(java.lang.String connectionFactory2Name)

  Description copied from interface: `JDOConfiguration`
  The name for the second data store connection factory.

  Specified by:
    `setConnectionFactory2Name` in interface `JDOConfiguration`

### getConnectionFactory2Name

    public java.lang.String getConnectionFactory2Name()

  Description copied from interface: `JDOConfiguration`
  The name for the second data store connection factory.

  Specified by:
    `getConnectionFactory2Name` in interface `JDOConfiguration`

### setConnectionFactory2

    public void setConnectionFactory2(java.lang.Object factory)

  Description copied from interface: `JDOConfiguration`
  The connection factory.

  Specified by:
    `setConnectionFactory2` in interface `JDOConfiguration`

### getConnectionFactory2

    public java.lang.Object getConnectionFactory2()

  Description copied from interface: `JDOConfiguration`
  The connection factory, possibly from JNDI.

  Specified by:
    `getConnectionFactory2` in interface `JDOConfiguration`

### free

    public void free()

  Description copied from interface: `Configuration`
  Free the resources used by this object.

  Specified by:
    `free` in interface `Configuration`
  Overrides:
    `free` in class `AbstractConfiguration`

### getDefaultPersistenceManagerFactoryClass

    protected java.lang.Class getDefaultPersistenceManagerFactoryClass()

  Return the class of the persistence manager factory for this runtime.

### getKnownDriverList

    protected java.lang.String[] getKnownDriverList()

  Allows a subclass to provide a list of example drivers, for use in a graphical component.

### getKnownConnectionURLList

    protected java.lang.String[] getKnownConnectionURLList()

  Allows a subclass to provide a list of example drivers, for use in a graphical component.

### checkFrozen

    protected void checkFrozen()

  Description copied from class: `AbstractConfiguration`
  Checks if the configuration has been frozen and if so throws a `IllegalStateException`, otherwise returns silently. Implementations should call this method before setting any state.

  Overrides:
    `checkFrozen` in class `AbstractConfiguration`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.